Bug 342259 - Default obex driver "ftp" not suitable for my phone
Summary: Default obex driver "ftp" not suitable for my phone
Status: RESOLVED FIXED
Alias: None
Product: solid
Classification: Unclassified
Component: bluetooth-kio-obex (show other bugs)
Version: 2.0-rc1
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: David Rosca
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-27 21:37 UTC by hamelg
Modified: 2014-12-29 16:02 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description hamelg 2014-12-27 21:37:21 UTC
I have a Nokia N70.
When browsing my phone with obexftp:// in dolphin, I don't see the tree files, I see only an empty directory. When I put files in the empty directory,  I receive them on my phone in my messages box with a "bluetooth" sender.
After digging the code and doing some tests with obexctl, I found out bluez uses the "ftp" service to talk to my phone. If I force bluez to use the obex driver "pcsuite" , all is ok, I can browse all directories.
I have applied the same thing to bluedevil by modifying the file  kio/obexftp/daemon/createsessionjob.cpp :
--- createsessionjob.cpp.ori    2014-12-22 12:20:09.000000000 +0100
+++ createsessionjob.cpp        2014-12-27 22:16:35.794034482 +0100
@@ -62,7 +62,7 @@
 {
     kDebug(dobex());
     QVariantMap args;
-    args["Target"] = "ftp";
+    args["Target"] = "pcsuite";
     m_client = new OrgBluezObexClient1Interface("org.bluez.obex",
                                                 "/org/bluez/obex",
                                                 QDBusConnection::sessionBus(), this);

It would be nice to have an option to setup the target. I don't know if bluez can select the right driver automatically ...


Reproducible: Always
Comment 1 hamelg 2014-12-28 17:08:18 UTC
If you look the code of obexftp (http://dev.zuckschwerdt.org/openobex/wiki/ObexFtp), it tries first to use the PCSUITE service, and if it fails, it reverts to the FTP service.

see changelog ObexFTP 0.22 :
        * prefer PCSUITE over FTP, req. by Martin Storsjö for Series 60 2nd Ed.
Comment 2 David Rosca 2014-12-29 16:02:02 UTC
Git commit 2d29f4ebc6f9a9c0d5d5807c662e64df56c8c711 by David Rosca.
Committed on 29/12/2014 at 12:59.
Pushed by drosca into branch 'master'.

kio_obexftp: Prefer "pcsuite" target for S60 devices

M  +45   -16   src/kio/obexftp/kio_obexftp.cpp
M  +4    -0    src/kio/obexftp/kio_obexftp.h

http://commits.kde.org/bluedevil/2d29f4ebc6f9a9c0d5d5807c662e64df56c8c711